Subject: RE: Setup window size: a suggestion
From: Robert Collins <[email-masked]>
To: [email-masked]
Cc: "Gary R. Van Sickle" <[email-masked]>
Date: 09 Sep 2002 08:18:56 +1000

On Mon, 2002-09-09 at 04:14, Igor Pechtchanski wrote:
> On Sun, 8 Sep 2002, Gary R. Van Sickle wrote:

> But isn't that exactly what my suggestion will allow to avoid?  If the
> window size is pre-selected (in fact, with a command-line option, you may
> even know it before any windows are created), dynamic resizing is not an
> issue.  The window will still be non-resizeable, but will have a different
> (fixed) size depending on the option.  This could possibly be accomplished
> by having multiple property sheet definitions and choosing the correct one
> at run-time (I'm not too up-to-date on windows programming, so please
> correct me if I'm wrong).

We have command line option support, so adding a integer pair grabber
isn't a big deal. I'll let Gary answer as to the overhead multiple
window defs would incur (He's the w32 GUI wizzard :] ). 
I suspect that knowing the size in advance doesn't help much, as we
still have the resizing logic to manage on all the pages.

Cheers,
Rob